Debian Bug report logs - #623514
pm-utils: fails to hibernate on Lenovo T500

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Denis Laxalde <dlaxalde@gmail.com>

Date: Wed, 20 Apr 2011 20:51:01 UTC

Severity: important

Tags: fixed-upstream

Found in version linux-2.6/3.0.0-1

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=41792

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#623514; Package pm-utils. (Wed, 20 Apr 2011 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
New Bug report received and forwarded. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Wed, 20 Apr 2011 20:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pm-utils: fails to hibernate on Lenovo T500
Date: Wed, 20 Apr 2011 16:48:11 -0400
Package: pm-utils
Version: 1.4.1-8
Severity: important

Hello,

I cannot hibernate my Lenovo T500 laptop, either from the Gnome power
management menu or using pm-hibernate. In either cases, a two-lines
message displays on the console before the computer shuts down:

 legacy_resume(): pnp_bus_resume+0x0/0x65 returns -19
 PM: Device 00:0a failed to thaw: error -19

Then, the computer does not resume but restarts normally (appart from an
additional "home: recovering journal" step).
The problem is not new, I never managed to hibernate this laptop
actually.

Please let me know if you need additional information.

Cheers,

Denis.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CA.utf8, LC_CTYPE=fr_CA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pm-utils depends on:
ii  powermgmt-base                1.31       Common utils and configs for power

Versions of packages pm-utils recommends:
ii  hdparm                        9.32-1     tune hard disk parameters for high
ii  kbd                           1.15.2-3   Linux console font and keytable ut
ii  procps                        1:3.2.8-10 /proc file system utilities
ii  vbetool                       1.1-2      run real-mode video BIOS code to a

Versions of packages pm-utils suggests:
ii  cpufrequtils                  007-1      utilities to deal with the cpufreq
pn  ethtool                       <none>     (no description available)
ii  radeontool                    1.6.1-1    utility to control ATI Radeon back
ii  wireless-tools                30~pre9-5  Tools for manipulating Linux Wirel

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#623514; Package pm-utils. (Wed, 20 Apr 2011 21:18:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Wed, 20 Apr 2011 21:18:20 GMT) Full text and rfc822 format available.

Message #10 received at 623514@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Denis Laxalde <dlaxalde@gmail.com>, 623514@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#623514: pm-utils: fails to hibernate on Lenovo T500
Date: Wed, 20 Apr 2011 23:15:08 +0200
[Message part 1 (text/plain, inline)]
reassing 623514 linux-image-2.6.38-2-amd64
thanks

Am 20.04.2011 22:48, schrieb Denis Laxalde:
> Package: pm-utils
> Version: 1.4.1-8
> Severity: important
> 
> Hello,
> 
> I cannot hibernate my Lenovo T500 laptop, either from the Gnome power
> management menu or using pm-hibernate. In either cases, a two-lines
> message displays on the console before the computer shuts down:
> 
>  legacy_resume(): pnp_bus_resume+0x0/0x65 returns -19
>  PM: Device 00:0a failed to thaw: error -19
> 
> Then, the computer does not resume but restarts normally (appart from an
> additional "home: recovering journal" step).
> The problem is not new, I never managed to hibernate this laptop
> actually.
> 
> Please let me know if you need additional information.

Seems to be a kernel issue.



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'pm-utils' to 'linux-image-2.6.38-2-amd64'. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:42:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions pm-utils/1.4.1-8. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Thu, 21 Apr 2011 12:42:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-image-2.6.38-2-amd64' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 21 Apr 2011 13:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Wed, 24 Aug 2011 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Aug 2011 23:18:03 GMT) Full text and rfc822 format available.

Message #21 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Denis Laxalde <dlaxalde@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Wed, 24 Aug 2011 18:15:07 -0500
Hi Denis,

Denis Laxalde wrote:

> I cannot hibernate my Lenovo T500 laptop, either from the Gnome power
> management menu or using pm-hibernate. In either cases, a two-lines
> message displays on the console before the computer shuts down:
>
>  legacy_resume(): pnp_bus_resume+0x0/0x65 returns -19
>  PM: Device 00:0a failed to thaw: error -19

Sorry for the slow response.  That sounds like a bug indeed.  Does
this only happen with suspend-to-disk or with suspend-to-ram, too?

Please attach full dmesg output from booting, suspending and resuming,
plus the version of kernel package you have installed and output of

	/usr/share/bug/linux-image-$(uname -r)/script 3>&1

so we can learn a little about your configuration.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 12:42:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 12:42:49 GMT) Full text and rfc822 format available.

Message #26 received at 623514@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 08:40:36 -0400
[Message part 1 (text/plain, inline)]
Hi Jonathan,

Thanks for the followup.

Jonathan Nieder a écrit :
> Sorry for the slow response.  That sounds like a bug indeed.  Does
> this only happen with suspend-to-disk or with suspend-to-ram, too?

It happens only with suspend-to-disk, suspend-to-ram works fine.

> Please attach full dmesg output from booting, suspending and resuming,
> plus the version of kernel package you have installed and output of
> 
> 	/usr/share/bug/linux-image-$(uname -r)/script 3>&1
> 
> so we can learn a little about your configuration.

See attached. Let me know if you need more information.

-- 
Denis
[sysinfo (application/octet-stream, attachment)]
[dmesg-boot-resume-from-hibernate (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 18:12:06 GMT) Full text and rfc822 format available.

Message #31 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Denis Laxalde <dlaxalde@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 13:09:44 -0500
found 623514 linux-2.6/3.0.0-1
quit

Denis Laxalde wrote:

> See attached. Let me know if you need more information.

Thanks.  Does unloading ("modprobe -r") the e1000e driver before
hibernating help?




Bug Marked as found in versions linux-2.6/3.0.0-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 25 Aug 2011 18:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 18:39:06 GMT) Full text and rfc822 format available.

Message #38 received at 623514@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 14:36:34 -0400
Jonathan Nieder a écrit :
> Does unloading ("modprobe -r") the e1000e driver before
> hibernating help?

No. It does not make any noticeable difference.

-- 
Denis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 18:51:03 GMT) Full text and rfc822 format available.

Message #43 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Denis Laxalde <dlaxalde@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 13:47:13 -0500
Denis Laxalde wrote:
> Jonathan Nieder a écrit :

>> Does unloading ("modprobe -r") the e1000e driver before
>> hibernating help?
>
> No. It does not make any noticeable difference.

Stupid of me --- I was misreading the log.  Thanks for checking.

Now that I look more closely, I suspect the dmesg you attached is from
trying to resume after an unsuccessful hibernation.  What would be
most useful is to get as much information as possible somehow from the
_unsuccessful_ hibernation, or even better, to trigger a successful
hibernation and find what causes the difference between the two.

Some good advice can be found at

 http://www.kernel.org/doc/Documentation/power/basic-pm-debugging.txt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 20:24:03 GMT) Full text and rfc822 format available.

Message #48 received at 623514@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 16:21:08 -0400
Jonathan Nieder a écrit :
> Now that I look more closely, I suspect the dmesg you attached is from
> trying to resume after an unsuccessful hibernation.  What would be
> most useful is to get as much information as possible somehow from the
> _unsuccessful_ hibernation, or even better, to trigger a successful
> hibernation and find what causes the difference between the two.
> 
> Some good advice can be found at
> 
>  http://www.kernel.org/doc/Documentation/power/basic-pm-debugging.txt

Ok. None of 'reboot', 'platform' or 'shutdown' hibernation modes worked
so I went through all steps in 1a "Tests modes of hibernation"
successfully. I then tried step 1b "Testing minimal configuration" (I
append init=/bin/bash to the line starting with 'linux' in grub2 prompt,
is that ok?). There none of the hibernation modes initially worked. I
got a "bash: echo: write error: No such device" message. Then I typed
'swapon -a' (as suggested in dmesg) and invoked hibernation again. Then
the machine halted or rebooted (depending on the mode) normally but I'm
not sure what was supposed to happen here. (I mean, I did not expect to
get back to the init shell I was on, since I left the grub cmd line
untouched upon restart...) Any idea?

-- 
Denis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #53 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Denis Laxalde <dlaxalde@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 15:48:08 -0500
Denis Laxalde wrote:

> Then
> the machine halted or rebooted (depending on the mode) normally but I'm
> not sure what was supposed to happen here. (I mean, I did not expect to
> get back to the init shell I was on, since I left the grub cmd line
> untouched upon restart...)

It was supposed to get back to the init shell (at least, it does so for
me).  Alas.

Looking back at the messages you see on the console:

	legacy_resume(): pnp_bus_resume+0x0/0x65 returns -19
	PM: Device 00:0a failed to thaw: error -19

In the dmesg you sent, we can see which device that is:

	tpm_tis 00:0a: 1.2 TPM (device-id 0x1020, rev-id 6)
	tpm_tis 00:0a: Intel iTPM workaround enabled

Unloading the tpm_tis and tpm modules before hibernating might be
worth a try.  There have also been some suspend-to-ram related tpm
fixes upstream recently, meaning a test of v3.1-rc1 or later has a
chance of fixing this (though I don't find it likely).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 21:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 21:24:09 GMT) Full text and rfc822 format available.

Message #58 received at 623514@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 17:16:07 -0400
Jonathan Nieder a écrit :
> > Then
> > the machine halted or rebooted (depending on the mode) normally but I'm
> > not sure what was supposed to happen here. (I mean, I did not expect to
> > get back to the init shell I was on, since I left the grub cmd line
> > untouched upon restart...)  
> 
> It was supposed to get back to the init shell (at least, it does so for
> me).  Alas.

Ok. So this test fails and according to the documentation the culprit
should be a statically compiled driver. I guess I could then try to
rebuild the kernel with more drivers as modules, but where to start?

> Looking back at the messages you see on the console:
> 
> 	legacy_resume(): pnp_bus_resume+0x0/0x65 returns -19
> 	PM: Device 00:0a failed to thaw: error -19
> 
> In the dmesg you sent, we can see which device that is:
> 
> 	tpm_tis 00:0a: 1.2 TPM (device-id 0x1020, rev-id 6)
> 	tpm_tis 00:0a: Intel iTPM workaround enabled
> 
> Unloading the tpm_tis and tpm modules before hibernating might be
> worth a try.

It does not help either.

-- 
Denis





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Thu, 25 Aug 2011 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Aug 2011 21:45:07 GMT) Full text and rfc822 format available.

Message #63 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Denis Laxalde <dlaxalde@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Thu, 25 Aug 2011 16:41:32 -0500
Denis Laxalde wrote:

> Ok. So this test fails and according to the documentation the culprit
> should be a statically compiled driver. I guess I could then try to
> rebuild the kernel with more drivers as modules, but where to start?

Thanks!  In modern times, initramfs-tools lets udev load some modules,
such as the disk and network driver, before calling init.  So
disabling the tpm module entirely to rule out that cause could be a
comfort.  "make localmodconfig" is supposed to create a configuration
with just the currently loaded modules enabled, which could be useful
for coming up with a good starting point.

Another thing to try would be booting into an even more minimal
configuration, without loading any modules or mounting the root
filesystem, by passing the parameter "break=top" on the kernel command
line[1].  It would presumably be necessary to load the appropriate
disk driver ("modprobe ahci") and enable swap ("swapon /dev/sda5") to
get useful results.

[1] see initramfs-tools(8), http://wiki.debian.org/InitramfsDebug
[2] http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-kernel-org-package




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Fri, 26 Aug 2011 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 26 Aug 2011 16:27:03 GMT) Full text and rfc822 format available.

Message #68 received at 623514@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Fri, 26 Aug 2011 12:22:16 -0400
Jonathan Nieder a écrit :
> Another thing to try would be booting into an even more minimal
> configuration, without loading any modules or mounting the root
> filesystem, by passing the parameter "break=top" on the kernel command
> line[1].  It would presumably be necessary to load the appropriate
> disk driver ("modprobe ahci") and enable swap ("swapon /dev/sda5") to
> get useful results.

I do not manage to enable swap because there's no /dev/sda*. How can I
get those?

Thanks.

-- 
Denis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Fri, 26 Aug 2011 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 26 Aug 2011 18:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Denis Laxalde <dlaxalde@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Fri, 26 Aug 2011 13:02:13 -0500
Denis Laxalde wrote:
> Jonathan Nieder a écrit :

>> Another thing to try would be booting into an even more minimal
>> configuration, without loading any modules or mounting the root
>> filesystem, by passing the parameter "break=top" on the kernel command
>> line[1].  It would presumably be necessary to load the appropriate
>> disk driver ("modprobe ahci") and enable swap ("swapon /dev/sda5") to
>> get useful results.
>
> I do not manage to enable swap because there's no /dev/sda*. How can I
> get those?

Sorry, forgot about that.  "modprobe sd_mod".




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Fri, 26 Aug 2011 19:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 26 Aug 2011 19:00:06 GMT) Full text and rfc822 format available.

Message #78 received at 623514@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Fri, 26 Aug 2011 14:57:19 -0400
Jonathan Nieder a écrit :
> Denis Laxalde wrote:
> > Jonathan Nieder a écrit :
> 
> >> Another thing to try would be booting into an even more minimal
> >> configuration, without loading any modules or mounting the root
> >> filesystem, by passing the parameter "break=top" on the kernel command
> >> line[1].  It would presumably be necessary to load the appropriate
> >> disk driver ("modprobe ahci") and enable swap ("swapon /dev/sda5") to
> >> get useful results.
> >
> > I do not manage to enable swap because there's no /dev/sda*. How can I
> > get those?
> 
> Sorry, forgot about that.  "modprobe sd_mod".

Thanks. Unfortunately, the system still fails to resume from
hibernation in this mode as well.

I guess it's now pretty sure that the problem lies in some statically
compiled driver. I will then try rebuilding the kernel with more
drivers as modules. Any idea about which kind of driver I should start
with?

-- 
Denis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Fri, 26 Aug 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 26 Aug 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #83 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Denis Laxalde <dlaxalde@gmail.com>
Cc: 623514@bugs.debian.org
Subject: Re: pm-utils: fails to hibernate on Lenovo T500
Date: Fri, 26 Aug 2011 14:11:37 -0500
Denis Laxalde wrote:

> I guess it's now pretty sure that the problem lies in some statically
> compiled driver. I will then try rebuilding the kernel with more
> drivers as modules. Any idea about which kind of driver I should start
> with?

It could be a built-in driver, or it could be the hibernate support
itself.

I suppose trying a kernel without ISA plug-and-play support[*] would
be fun. :)  Anyway, by now it is clear that this is close enough to
the power management core (i.e., not some unusual driver) that we
should take this upstream.  Please report this at
http://bugzilla.kernel.org/ product Power Management, component
Hibernation/Suspend, and send the bug number here so we can continue
there.

Thanks,
Jonathan

[*] "make nconfig", Device Drivers → Plug and Play Support → ISA Plug
and Play Support




Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=41792'. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Fri, 26 Aug 2011 20:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Mon, 19 Sep 2011 09:19:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Toni Müller <support@oeko.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 19 Sep 2011 09:19:37 GMT) Full text and rfc822 format available.

Message #90 received at 623514@bugs.debian.org (full text, mbox):

From: Toni Müller <support@oeko.net>
To: 623514@bugs.debian.org
Cc: Toni Mueller <support@oeko.net>
Subject: Hibernate problem
Date: Mon, 19 Sep 2011 10:53:07 +0200
Hi,

while I haven't conducted as many tests as Denis has, I can say that my
T500 hibernated nicely up until 2.6.32 last version before -36 (I can't
currently confirm for 2.6.32-36), and breaks for every later kernel.
I can also say that, for the even more recent kernels, the machine does
not even suspend-to-ram.

I'm running the -686 variant of things, not the amd64 stuff.


Feel free to ask any questions.


Kind regards,
--Toni++




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#623514; Package linux-2.6. (Mon, 19 Sep 2011 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 19 Sep 2011 16:03:04 GMT) Full text and rfc822 format available.

Message #95 received at 623514@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Toni Müller <support@oeko.net>
Cc: 623514@bugs.debian.org, Denis Laxalde <dlaxalde@gmail.com>
Subject: Re: Hibernate problem
Date: Mon, 19 Sep 2011 10:57:08 -0500
Hi Toni,

Toni Müller wrote:

> while I haven't conducted as many tests as Denis has, I can say that my
> T500 hibernated nicely up until 2.6.32 last version before -36 (I can't
> currently confirm for 2.6.32-36), and breaks for every later kernel.
> I can also say that, for the even more recent kernels, the machine does
> not even suspend-to-ram.

That doesn't necessarily sound like the same bug (Denis was testing
with 3.0.0-1 and had no trouble suspending iirc).  The narrow
regression range is good news from the point of view of being able to
find a fix.  Could you file a new bug listing kernels you've tested
and results for each?  The upgrade history of the kernel image
packages can be found at /var/log/dpkg.log*.

If the symptoms turn out to have the same cause, we can merge the bugs
later.

Thank you,
Jonathan




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 28 Mar 2013 17:18:23 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 12 Aug 2013 16:39:16 GMT) Full text and rfc822 format available.

Notification sent to Denis Laxalde <dlaxalde@gmail.com>:
Bug acknowledged by developer. (Mon, 12 Aug 2013 16:39:16 GMT) Full text and rfc822 format available.

Message #102 received at 623514-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 623514-done@bugs.debian.org
Subject: Re: Hibernate problem
Date: Mon, 12 Aug 2013 18:33:05 +0200
On Mon, Sep 19, 2011 at 10:57:08AM -0500, Jonathan Nieder wrote:
> Hi Toni,
> 
> Toni Müller wrote:
> 
> > while I haven't conducted as many tests as Denis has, I can say that my
> > T500 hibernated nicely up until 2.6.32 last version before -36 (I can't
> > currently confirm for 2.6.32-36), and breaks for every later kernel.
> > I can also say that, for the even more recent kernels, the machine does
> > not even suspend-to-ram.
> 
> That doesn't necessarily sound like the same bug (Denis was testing
> with 3.0.0-1 and had no trouble suspending iirc).  The narrow
> regression range is good news from the point of view of being able to
> find a fix.  Could you file a new bug listing kernels you've tested
> and results for each?  The upgrade history of the kernel image
> packages can be found at /var/log/dpkg.log*.
> 
> If the symptoms turn out to have the same cause, we can merge the bugs
> later.

The upstream bug was closed since the reporter no longer owns the hardware.
Closing this bug as well.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Sep 2013 07:27:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:52:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.